apiVersion: extensions/v1beta1
kind: Ingress
metadata:
  name: doc-app-ingress
  annotations:
    kubernetes.io/ingress.class: nginx
    nginx.ingress.kubernetes.io/use-regex: "true"
    nginx.ingress.kubernetes.io/limit-connections: '5'
    # https://kubernetes.io/docs/concepts/services-networking/dns-pod-service/#pods
    nginx.ingress.kubernetes.io/auth-url: http://auth-app-service.default.svc.cluster.local:9999/token/validate
    nginx.ingress.kubernetes.io/limit-rps: '2'
    nginx.ingress.kubernetes.io/limit-rpm: '20'
    cert-manager.io/cluster-issuer: "letsencrypt-prod"
spec:
  tls:
    - hosts:
        - drmarkdown.mooo.com
      secretName: drmarkdown-cert-tls
  rules:
    - host: drmarkdown.mooo.com
      http:
        paths:
          - path: /doc/create
            backend:
              serviceName: doc-app-service
              servicePort: 9998
          - path: /doc/all/(.*)
            backend:
              serviceName: doc-app-service
              servicePort: 9998
          - path: /doc/fetch/(.*)
            backend:
              serviceName: doc-app-service
              servicePort: 9998
          - path: /doc/recent
            backend:
              serviceName: doc-app-service
              servicePort: 9998
          - path: /doc/update
            backend:
              serviceName: doc-app-service
              servicePort: 9998

